/*
This is the master file for "Out of Bounds: Do SPF Respondents Have Anchored Inflation Expectations?"
Carola Binder, Wesley Janson, and Randal Verbrugge
Accepted at Journal of Money, Credit, and Banking, 2022

This file imports, cleans, and merges the data, and prepares the figures and tables in the paper.

Note: the following packages need to be installed if they are not already installed: 
ssc install grc1leg
ssc install xtbreak
ssc install moremata
*/

cd "C:\Users\cbinder1\Dropbox\Outside_The_Box\OutOfBox\jmcb_submit\Replication files"

*Downloads and imports data from website of Federal Reserve Bank of Philadelphia
do data_pulling.do

*Imports and merges other datasets, and prepares measures of anchoring
do prepare_data_bounds_anchoring.do

*Prepares figures
do Figures.do

*Runs regressions and prepares tables
do Regressions.do
