clear
set more off
local RegOptions nogaps label stats(N r2, label("N" "R$^2$") fmt(0 2)) b(%9.3f) se(%9.3f) replace star(* 0.10 ** 0.05 *** 0.01) fragment
local RegOptionsNewey nogaps label stats(N, label("N") fmt(0)) b(%9.3f) se(%9.3f) replace star(* 0.10 ** 0.05 *** 0.01) fragment



**Table 1: Time series regressions of bounds anchoring measures
use boundsanchoringdatatimeseries.dta, clear
**Bai and Perron (1998) test for multiple structural breaks in 2012Q1 and 2019Q1
xtbreak test p50RMSD t, breakpoints(2012Q1 2019Q1 , fmt(tq))
**Piecewise linear regression. Allow different time trends starting 2012Q1 and 2019Q1.
mkspline t1 208 t2 236 t3=t

label var t1 "Slope before 2012Q1"
label var t2 "Slope 2012Q1-2018Q4"
label var t3 "Slope since 2019Q1"
eststo clear
eststo: quietly newey p50RMSD t1 t2 t3, lag(4)
predict hat1
test _b[t2]=-1*_b[t3]
eststo: quietly newey boundanchored02 t1 t2 t3, lag(4)
predict hat2
test _b[t2]=-1*_b[t3]
eststo: quietly newey boundanchored05 t1 t2 t3, lag(4)
predict hat3
test _b[t2]=-1*_b[t3]
esttab using "RegPiecewise.tex", `RegOptionsNewey' mtitles("Median RMSD" "0.2-bounds anchored" "0.5-bounds anchored")
*Get R^2 values
eststo clear
eststo: quietly reg p50RMSD t1 t2 t3
eststo: quietly reg boundanchored02 t1 t2 t3
eststo: quietly reg boundanchored05 t1 t2 t3
esttab using "RegPiecewiseR.tex", `RegOptions'

twoway tsline hat1 p50RMSD hat2 boundanchored02 hat3 boundanchored05 if YEAR<2021 & YEAR>2007, text(0.55 200 "RMSD") text(0.27 203 "0.5-bounds anchored") text(0.05 228 "0.2-bounds anchored") lcolor(black black blue blue green green) lpattern(solid dash solid dash solid dash) tlabel(192(8)244, format(%tqCCYY)) xtitle("") legend(off) ytitle("Bounds anchored share or RMSD")
graph export FigPiecewise.png, replace


**Table A.1 Panel regressions of bounds anchoring measures
use boundsanchoringdata.dta, clear
xtset id t

**Piecewise linear regression. Allow different time trends starting 2012Q1 and 2019Q1.
mkspline t1 208 t2 236 t3=t

label var t1 "Slope before 2012Q1"
label var t2 "Slope 2012Q1-2018Q4"
label var t3 "Slope since 2019Q1"
gen absdev=abs(pce_forward-2)
label var absdev "Abs. deviation"
eststo clear
eststo: quietly xtreg absdev t1 t2 t3, fe
eststo: quietly xtreg boundeps02 t1 t2 t3, fe
eststo: quietly xtreg boundeps05 t1 t2 t3, fe
esttab using RegPiecewisePanel.tex, `RegOptions'  mtitles("Median RMSD" "0.2-bounds anchored" "0.5-bounds anchored")


